<template>
  <svg width="1440" height="634"
       viewBox="0 0 1440 634" fill="none"
       xmlns="http://www.w3.org/2000/svg"
       xmlns:xlink="http://www.w3.org/1999/xlink"
       :style="{'left': getLeftOffsetBg()}"
  >
    <g>
      <g opacity="0.45">
        <path fill-rule="evenodd" clip-rule="evenodd" d="M2572.48 1370L498 -703.49L517.52 -723L2592 1350.49L2572.48 1370Z" fill="#DDE3EC"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M1959.3 1367L-114 -706.295L-102.295 -718L1971 1355.3L1959.3 1367Z" fill="#DDE3EC"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M2970.5 1289L898 -785.481L917.501 -805L2990 1269.48L2970.5 1289Z" fill="#DDE3EC"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M2478.68 70.1222C1906.88 -229.812 1232.9 -631.431 827 -1037.29L838.708 -1049C1242.68 -645.067 1914.67 -244.421 2486.37 55.4612C2772.09 205.334 3032.53 329.919 3221.54 417.036C3316.04 460.593 3392.67 494.78 3445.68 518.075C3472.18 529.723 3492.77 538.647 3506.74 544.658C3513.72 547.663 3519.04 549.94 3522.62 551.464C3524.41 552.227 3525.76 552.801 3526.66 553.184L3528 553.75C3528.01 553.753 3528.01 553.755 3527.21 555.658C3526.74 556.779 3525.99 558.558 3524.8 561.384C3521.58 569.009 3521.57 569.006 3521.55 569L3520.2 568.425C3519.29 568.038 3517.93 567.46 3516.13 566.694C3512.53 565.162 3507.19 562.877 3500.19 559.864C3486.19 553.838 3465.56 544.897 3439.01 533.231C3385.93 509.901 3309.2 475.673 3214.6 432.071C3025.41 344.868 2764.71 220.157 2478.68 70.1222Z" fill="#DDE3EC"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M817 1597.48L2891.48 -477L2911 -457.481L836.519 1617L817 1597.48Z" fill="#DDE3EC"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M-274 1256.29L1799.3 -817L1811 -805.295L-262.295 1268L-274 1256.29Z" fill="#DDE3EC"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M130 1272.48L2204.48 -802L2224 -782.481L149.519 1292L130 1272.48Z" fill="#DDE3EC"/>
        <path fill-rule="evenodd" clip-rule="evenodd" d="M591 1517.49L2665.48 -556L2685 -536.49L610.519 1537L591 1517.49Z" fill="#DDE3EC"/>
        <path d="M863 93.4118L799.412 157L675 32.5882L738.589 -31L863 93.4118Z" fill="#DDE3EC"/>
        <path d="M941 16.75L877.412 80L753 -43.75L816.589 -107L941 16.75Z" fill="#DDE3EC"/>
        <path d="M1064 -104.714L956.75 3L833 -121.286L940.25 -229L1064 -104.714Z" fill="#DDE3EC"/>
        <path d="M1545 79.9655L1453.97 171L1385 102.034L1476.03 11L1545 79.9655Z" fill="#DDE3EC"/>
        <path d="M1057 229.038L965.616 320L841 195.962L932.385 105L1057 229.038Z" fill="#DDE3EC"/>
        <path d="M1170 10.9103L1023.23 157L954 88.0897L1100.77 -58L1170 10.9103Z" fill="#DDE3EC"/>
        <path d="M1180 184.447L1116.45 248L1075 206.553L1138.55 143L1180 184.447Z" fill="#DDE3EC"/>
        <path d="M1263 102.447L1200.05 166L1159 124.553L1221.95 61L1263 102.447Z" fill="#DDE3EC"/>
        <path d="M1622 454.797L1365.52 712L1269 615.203L1525.48 358L1622 454.797Z" fill="#DDE3EC"/>
        <g filter="url(#filter0_d)">
          <path fill-rule="evenodd" clip-rule="evenodd" d="M1519.82 853.818L1622.82 750.818C1626.05 747.587 1626.05 742.348 1622.82 739.116L1541.88 658.182C1538.65 654.95 1533.41 654.95 1530.18 658.182L1427.18 761.182C1423.95 764.413 1423.95 769.652 1427.18 772.884L1508.12 853.818C1511.35 857.05 1516.59 857.05 1519.82 853.818ZM1521.77 855.769L1624.77 752.769C1629.08 748.46 1629.08 741.474 1624.77 737.166L1543.83 656.231C1539.53 651.923 1532.54 651.923 1528.23 656.231L1425.23 759.231C1420.92 763.54 1420.92 770.526 1425.23 774.834L1506.17 855.769C1510.47 860.077 1517.46 860.077 1521.77 855.769Z" fill="url(#paint0_linear)" fill-opacity="0.4"/>
        </g>
        <path d="M1476 311.603L1412.31 375L1260 223.397L1323.69 160L1476 311.603Z" fill="#DDE3EC"/>
        <g filter="url(#filter1_d)">
          <path d="M1624.77 752.769L1521.77 855.769C1517.46 860.077 1510.47 860.077 1506.17 855.769L1425.23 774.834C1420.92 770.526 1420.92 763.54 1425.23 759.231L1528.23 656.231C1532.54 651.923 1539.53 651.923 1543.83 656.231L1624.77 737.166C1629.08 741.474 1629.08 748.46 1624.77 752.769Z" fill="#DDE3EC"/>
          <path d="M1624.42 752.415L1521.42 855.415C1517.3 859.528 1510.63 859.528 1506.52 855.415L1425.59 774.481C1421.47 770.367 1421.47 763.698 1425.59 759.585L1528.59 656.585C1532.7 652.472 1539.37 652.472 1543.48 656.585L1624.42 737.519C1628.53 741.633 1628.53 748.302 1624.42 752.415Z" stroke="url(#paint1_linear)"/>
        </g>
      </g>
      <g filter="url(#filter2_dddddd)">
        <path d="M1335.31 400.647L1200.09 535.374C1196.96 538.485 1191.91 538.485 1188.79 535.374L1075.69 422.688C1072.55 419.561 1072.55 414.48 1075.69 411.353L1210.91 276.626C1214.04 273.515 1219.09 273.515 1222.21 276.626L1335.31 389.312C1338.45 392.439 1338.45 397.52 1335.31 400.647Z" fill="#F6F8FB"/>
        <path d="M1334.96 400.293L1199.73 535.02C1196.81 537.936 1192.07 537.936 1189.15 535.02L1076.04 422.334C1073.1 419.402 1073.1 414.638 1076.04 411.707L1211.27 276.98C1214.19 274.064 1218.93 274.064 1221.85 276.98L1334.96 389.667C1337.9 392.598 1337.9 397.362 1334.96 400.293Z" stroke="white" stroke-opacity="0.4"/>
      </g>
      <circle opacity="0.1" cx="1206" cy="406" r="16" fill="url(#paint2_linear)"/>
      <g filter="url(#filter3_di)">
        <circle cx="1206" cy="406" r="7" fill="url(#paint3_linear)"/>
      </g>
      <rect x="898" y="130" width="310" height="570" rx="53" fill="#F4F7FA" stroke="#DDE3EC" stroke-width="14"/>
      <path d="M988 133H1118V140C1118 148.837 1110.84 156 1102 156H1004C995.163 156 988 148.837 988 140V133Z" fill="#DDE3EC"/>
      <circle cx="1083" cy="142" r="4" fill="white"/>
      <rect x="1038" y="140" width="30" height="4" rx="2" fill="white"/>
      <path d="M0 0H1440V634H0V0Z" fill="url(#paint4_linear)"/>
      <path opacity="0.56" d="M935 290H1124.5" stroke="#DDE3EC" stroke-width="30" class="animate-first"/>
      <path opacity="0.6" d="M935 330H1054.5" stroke="#DDE3EC" stroke-width="30" class="animate-second"/>
      <clipPath id="mask1" x="935" y="376" width="236" height="134" >
        <rect x="935" y="376" width="236" height="134" rx="4" fill="#365EC2"/>
      </clipPath >
      <g clip-path="url(#mask1)"
         class="animate-third">
        <rect x="906.68" y="295.086" width="291.291" height="264.32" fill="url(#pattern0)"/>
        <rect opacity="0.16" x="935" y="376" width="236" height="134" rx="4" fill="#050F26"/>
        <path opacity="0.4" d="M945 476C945 473.791 946.791 472 949 472H1014C1016.21 472 1018 473.791 1018 476V496C1018 498.209 1016.21 500 1014 500H949C946.791 500 945 498.209 945 496V476Z" fill="#050F26"/>
        <path d="M958.864 490.084C958.216 490.084 957.632 489.944 957.112 489.664C956.592 489.384 956.184 488.996 955.888 488.5C955.6 487.996 955.456 487.428 955.456 486.796C955.456 486.164 955.6 485.6 955.888 485.104C956.184 484.608 956.592 484.22 957.112 483.94C957.632 483.66 958.216 483.52 958.864 483.52C959.52 483.52 960.108 483.66 960.628 483.94C961.148 484.22 961.552 484.608 961.84 485.104C962.136 485.6 962.284 486.164 962.284 486.796C962.284 487.428 962.136 487.996 961.84 488.5C961.552 488.996 961.148 489.384 960.628 489.664C960.108 489.944 959.52 490.084 958.864 490.084ZM958.864 488.8C959.416 488.8 959.872 488.616 960.232 488.248C960.592 487.88 960.772 487.396 960.772 486.796C960.772 486.196 960.592 485.712 960.232 485.344C959.872 484.976 959.416 484.792 958.864 484.792C958.312 484.792 957.856 484.976 957.496 485.344C957.144 485.712 956.968 486.196 956.968 486.796C956.968 487.396 957.144 487.88 957.496 488.248C957.856 488.616 958.312 488.8 958.864 488.8ZM968.607 484.864H966.363V490H964.863V484.864H962.607V483.592H968.607V484.864ZM977.98 485.584C978.42 485.784 978.756 486.056 978.988 486.4C979.228 486.736 979.348 487.132 979.348 487.588C979.348 488.1 979.204 488.548 978.916 488.932C978.636 489.316 978.236 489.612 977.716 489.82C977.196 490.02 976.592 490.12 975.904 490.12C975.216 490.12 974.612 490.02 974.092 489.82C973.58 489.612 973.184 489.316 972.904 488.932C972.624 488.548 972.484 488.1 972.484 487.588C972.484 487.132 972.6 486.736 972.832 486.4C973.064 486.056 973.396 485.784 973.828 485.584C973.492 485.4 973.232 485.16 973.048 484.864C972.872 484.56 972.784 484.212 972.784 483.82C972.784 483.348 972.912 482.936 973.168 482.584C973.432 482.232 973.8 481.96 974.272 481.768C974.744 481.576 975.288 481.48 975.904 481.48C976.528 481.48 977.076 481.576 977.548 481.768C978.02 481.96 978.388 482.232 978.652 482.584C978.916 482.936 979.048 483.348 979.048 483.82C979.048 484.212 978.956 484.556 978.772 484.852C978.588 485.148 978.324 485.392 977.98 485.584ZM975.904 482.704C975.416 482.704 975.028 482.808 974.74 483.016C974.46 483.224 974.32 483.516 974.32 483.892C974.32 484.252 974.46 484.54 974.74 484.756C975.028 484.964 975.416 485.068 975.904 485.068C976.4 485.068 976.792 484.964 977.08 484.756C977.368 484.54 977.512 484.252 977.512 483.892C977.512 483.516 977.364 483.224 977.068 483.016C976.78 482.808 976.392 482.704 975.904 482.704ZM975.904 488.896C976.48 488.896 976.936 488.776 977.272 488.536C977.608 488.296 977.776 487.964 977.776 487.54C977.776 487.124 977.608 486.796 977.272 486.556C976.936 486.316 976.48 486.196 975.904 486.196C975.328 486.196 974.876 486.316 974.548 486.556C974.22 486.796 974.056 487.124 974.056 487.54C974.056 487.964 974.22 488.296 974.548 488.536C974.876 488.776 975.328 488.896 975.904 488.896ZM984.176 484.816C984.728 484.816 985.224 484.924 985.664 485.14C986.104 485.348 986.448 485.648 986.696 486.04C986.944 486.432 987.068 486.884 987.068 487.396C987.068 487.94 986.932 488.42 986.66 488.836C986.388 489.244 986.02 489.56 985.556 489.784C985.092 490.008 984.572 490.12 983.996 490.12C982.844 490.12 981.948 489.76 981.308 489.04C980.676 488.32 980.36 487.288 980.36 485.944C980.36 485 980.532 484.196 980.876 483.532C981.22 482.86 981.7 482.352 982.316 482.008C982.94 481.656 983.66 481.48 984.476 481.48C984.908 481.48 985.312 481.528 985.688 481.624C986.072 481.712 986.404 481.844 986.684 482.02L986.108 483.196C985.692 482.924 985.16 482.788 984.512 482.788C983.704 482.788 983.072 483.036 982.616 483.532C982.16 484.028 981.932 484.744 981.932 485.68V485.692C982.18 485.404 982.496 485.188 982.88 485.044C983.264 484.892 983.696 484.816 984.176 484.816ZM983.912 488.896C984.4 488.896 984.796 488.768 985.1 488.512C985.404 488.248 985.556 487.9 985.556 487.468C985.556 487.028 985.404 486.68 985.1 486.424C984.796 486.168 984.388 486.04 983.876 486.04C983.372 486.04 982.96 486.176 982.64 486.448C982.328 486.72 982.172 487.064 982.172 487.48C982.172 487.888 982.324 488.228 982.628 488.5C982.94 488.764 983.368 488.896 983.912 488.896ZM991.387 490.12C990.715 490.12 990.115 489.952 989.587 489.616C989.059 489.272 988.643 488.776 988.339 488.128C988.035 487.472 987.883 486.696 987.883 485.8C987.883 484.904 988.035 484.132 988.339 483.484C988.643 482.828 989.059 482.332 989.587 481.996C990.115 481.652 990.715 481.48 991.387 481.48C992.059 481.48 992.659 481.652 993.187 481.996C993.723 482.332 994.143 482.828 994.447 483.484C994.751 484.132 994.903 484.904 994.903 485.8C994.903 486.696 994.751 487.472 994.447 488.128C994.143 488.776 993.723 489.272 993.187 489.616C992.659 489.952 992.059 490.12 991.387 490.12ZM991.387 488.764C991.987 488.764 992.459 488.516 992.803 488.02C993.155 487.524 993.331 486.784 993.331 485.8C993.331 484.816 993.155 484.076 992.803 483.58C992.459 483.084 991.987 482.836 991.387 482.836C990.795 482.836 990.323 483.084 989.971 483.58C989.627 484.076 989.455 484.816 989.455 485.8C989.455 486.784 989.627 487.524 989.971 488.02C990.323 488.516 990.795 488.764 991.387 488.764ZM1001.87 487.228V487.912H1004.51V488.752H1001.87V490H1000.31V488.752H999.106V487.912H1000.31V481.6H1003.76C1004.88 481.6 1005.75 481.84 1006.38 482.32C1007.01 482.8 1007.33 483.5 1007.33 484.42C1007.33 485.332 1007.01 486.028 1006.38 486.508C1005.75 486.988 1004.88 487.228 1003.76 487.228H1001.87ZM1005.75 484.432C1005.75 483.944 1005.58 483.572 1005.24 483.316C1004.89 483.052 1004.4 482.92 1003.75 482.92H1001.87V485.968H1003.75C1004.39 485.968 1004.88 485.836 1005.23 485.572C1005.58 485.3 1005.75 484.92 1005.75 484.432Z" fill="white"/>
      </g>
      <g filter="url(#filter4_di)" class="animate-fourth">
        <circle cx="1171" cy="376" r="22" fill="url(#paint6_linear)"/>
        <path d="M1164.95 377.1L1168.25 380.4L1177.05 371.6" stroke="white" stroke-width="2"/>
      </g>
    </g>
    <defs>
      <filter id="filter0_d" x="1398" y="629" width="246" height="246" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
      </filter>
      <filter id="filter1_d" x="1398" y="629" width="246" height="246" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
      </filter>
      <filter id="filter2_dddddd" x="1049.33" y="250.293" width="306.331" height="305.414" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 0.6 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect1_dropShadow" result="effect2_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="10"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect2_dropShadow" result="effect3_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="7"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.835294 0 0 0 0 0.862745 0 0 0 0 0.894118 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect3_dropShadow" result="effect4_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="-4" dy="-4"/>
        <feGaussianBlur stdDeviation="5"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 1 0"/>
        <feBlend mode="normal" in2="effect4_dropShadow" result="effect5_dropShadow"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="4" dy="4"/>
        <feGaussianBlur stdDeviation="2"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.836111 0 0 0 0 0.860995 0 0 0 0 0.895833 0 0 0 0.14 0"/>
        <feBlend mode="normal" in2="effect5_dropShadow" result="effect6_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect6_dropShadow" result="shape"/>
      </filter>
      <filter id="filter3_di" x="1179" y="379" width="74" height="74" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="10" dy="10"/>
        <feGaussianBlur stdDeviation="15"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.360784 0 0 0 0 0.776471 0 0 0 0 0.721569 0 0 0 0.3 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
        <feOffset dx="16" dy="16"/>
        <feGaussianBlur stdDeviation="15"/>
        <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.1 0"/>
        <feBlend mode="normal" in2="shape" result="effect2_innerShadow"/>
      </filter>
      <pattern id="pattern0" patternContentUnits="objectBoundingBox" width="1" height="1">
        <use xlink:href="#image0" transform="translate(0 0.15) scale(0.000336814)"/>
      </pattern>
      <filter id="filter4_di" x="1099" y="304" width="164" height="164" filterUnits="userSpaceOnUse" color-interpolation-filters="sRGB">
        <feFlood flood-opacity="0" result="BackgroundImageFix"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0"/>
        <feOffset dx="10" dy="10"/>
        <feGaussianBlur stdDeviation="30"/>
        <feColorMatrix type="matrix" values="0 0 0 0 0.287639 0 0 0 0 0.908333 0 0 0 0 0.826355 0 0 0 0.3 0"/>
        <feBlend mode="normal" in2="BackgroundImageFix" result="effect1_dropShadow"/>
        <feBlend mode="normal" in="SourceGraphic" in2="effect1_dropShadow" result="shape"/>
        <feColorMatrix in="SourceAlpha" type="matrix" values="0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 0 127 0" result="hardAlpha"/>
        <feOffset dx="16" dy="16"/>
        <feGaussianBlur stdDeviation="15"/>
        <feComposite in2="hardAlpha" operator="arithmetic" k2="-1" k3="1"/>
        <feColorMatrix type="matrix" values="0 0 0 0 1 0 0 0 0 1 0 0 0 0 1 0 0 0 0.1 0"/>
        <feBlend mode="normal" in2="shape" result="effect2_innerShadow"/>
      </filter>
      <linearGradient id="paint0_linear" x1="1417.43" y1="648.43" x2="1645.83" y2="663.576" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="0.0001" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint1_linear" x1="1422" y1="653" x2="1649.28" y2="680.025" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="0.0001" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint2_linear" x1="1190" y1="390" x2="1224.3" y2="392.697" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint3_linear" x1="1199" y1="399" x2="1214.01" y2="400.18" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <linearGradient id="paint4_linear" x1="720" y1="0" x2="720" y2="633" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="#F4F7FA"/>
        <stop offset="0.161458" stop-color="#F4F7FA" stop-opacity="0.86"/>
        <stop offset="0.489583" stop-color="#F4F7FA" stop-opacity="0"/>
        <stop offset="0.822917" stop-color="#F4F7FA" stop-opacity="0.78"/>
        <stop offset="1" stop-color="#F4F7FA"/>
      </linearGradient>
      <linearGradient id="paint5_linear" x1="935" y1="376" x2="1184.76" y2="410.579" gradientUnits="userSpaceOnUse">
        <stop offset="0" stop-color="white"/>
        <stop offset="1" stop-color="white" stop-opacity="0"/>
      </linearGradient>
      <linearGradient id="paint6_linear" x1="1149" y1="354" x2="1196.17" y2="357.708" gradientUnits="userSpaceOnUse">
        <stop stop-color="#67D2C4"/>
        <stop offset="1" stop-color="#35BAA7"/>
      </linearGradient>
      <image id="image0" width="2969" height="2734" xlink:href="/images/step3-card.png"/>
    </defs>
  </svg>
</template>

<script>
  export default {
    name: 'ThirdStepBg',
    data: () => ({
      windowWidth: 0
    }),
    mounted() {
      this.$nextTick(() => {
        setTimeout(() => {
          if (this.checkTopOffset()) {
            this.$el.classList.add('animate');
          }
        }, 100)
      });

      this.windowWidth = window.innerWidth;
      window.addEventListener('resize', this.onResize);
      window.addEventListener('scroll', this.onScroll);
    },

    beforeDestroy() {
      window.removeEventListener('resize', this.onResize);
      window.removeEventListener('scroll', this.onScroll);
    },
    methods: {
      onResize() {
        this.windowWidth = window.innerWidth;
      },

      onScroll() {
        if (this.checkTopOffset()) {
          this.$el.classList.add('animate');
        } else {
          this.$el.classList.remove('animate');
        }
      },

      getLeftOffsetBg() {
        return this.windowWidth < 1440
          ? this.windowWidth > 1299
            ? `${(1440 - this.windowWidth) / 5.25}px`
            : `2rem`
          : 0;
      },

      checkTopOffset() {
        return (window.innerHeight - this.$el.getBoundingClientRect().top) > this.$el.getBoundingClientRect().height * 0.8
      }
    }
  }
</script>

<style lang="scss">
  @import '~assets/scss/variables.scss';
  @import '~assets/scss/mixins.scss';

  .animate-first {
    transition: all .25s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate-second {
    transition: all .30s;
    transition-delay: .05s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate-third {
    transition: all .5s;
    transition-delay: .15s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate-fourth {
    transition: all .33s;
    transition-delay: .30s;

    opacity: 0;
    transform: translateY(1rem);
  }

  .animate {
    .animate-first,
    .animate-second,
    .animate-third,
    .animate-fourth {
      opacity: 1;
      transform: none;
    }
  }

</style>
